%define	name entrance
%define	version 0.9.9.042
%define release %mkrel 4

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d
%define use_ccache 1

Summary: 	Enlightenment login manager
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	%{name}-%{version}.tar.bz2
Source1:	entrance_config_update.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	evas-devel >= 0.9.9.050
BuildRequires:	esmart-devel >= 0.9.0.050
BuildRequires:	ecore-devel >= 0.9.9.050
BuildRequires:	edje-devel >= 0.9.9.050, edje >= 0.9.9.050
Buildrequires:  embryo >= 0.9.9.050, ecore >= 0.9.9.050
BuildRequires:	efreet-devel
BuildRequires:	pam-devel
Requires:	ecore >= 0.9.9.050

%description
Entrance is the next generation of Elogin, a login/display manager for
Linux X11 systems. It is designed to be extremely customizable and
aesthetically attractive -- a refreshing relief from the traditional
dull and boring interfaces of XDM and its descendants.

This package is part of the Enlightenment DR17 desktop shell.


%package devel
Summary: Headers and development libraries from %{name}
Group: Development/C
Requires: %name = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description devel
%{name} development headers and libraries

%prep
%setup -q -n %name-%version

%build
sed -i s,release_info=\"-release\ \$release\",release_info=\"\",g configure.ac
NOCONFIGURE=1 ./autogen.sh
%configure2_5x --with-xbin=%_bindir

perl -pi -e "s/^ECHO.*/ECHO='echo'\necho='echo'\n/" libtool

perl -pi -e "s|sh data/config/autodetect.sh|#sh data/config/autodetect.sh|" Makefile
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
bzcat %SOURCE1 > %buildroot/%_sbindir/entrance_config_update
chmod 755 %buildroot/%_sbindir/entrance_config_update

# make dm config file
mkdir -p %buildroot/etc/X11/dm.d
cat << EOF > %buildroot/etc//X11/dm.d/25entrance.conf
NAME=E17
DESCRIPTION=ENTRANCE (E17 Display Manager)
EXEC=/usr/sbin/entranced
PACKAGE=entrance
FNDSESSION_EXEC="%_sbindir/entrance_config_update -e"
EOF

rm -f %buildroot/%{_sysconfdir}/init.d/%name

cat << EOF > %buildroot/%{_sysconfdir}/pam.d/%name
#%PAM-1.0
auth       required     pam_env.so
auth       include	system-auth
auth       required	pam_nologin.so
account    include	system-auth 
password   include	system-auth
session    include	system-auth
session    optional     pam_console.so
EOF

%post
%make_session
/sbin/ldconfig

%posttrans
/usr/bin/entrance_edit -presel-mode=0

%postun
%make_session
/sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%config(noreplace) %{_sysconfdir}/pam.d/%name
%config(noreplace) /etc/X11/dm.d/*entrance.conf
%config(noreplace) %{_sysconfdir}/*.cfg
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/%name
%{_libdir}/entrance/entrance_login
%{_libdir}/libentrance_edit.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/Entrance_Edit.h
%{_libdir}/libentrance_edit.*a
%{_libdir}/libentrance_edit.so


%changelog
* Fri Jan 08 2010 Texstar <texstar at gmail.com> 0.9.042-4pclos2010
- rebuild

* Thu Aug 20 2009 Texstar <texstar@gmail.com> 0.9.042-3pclos2009
- rebuild against updated libs

* Wed Jun 03 2009 Texstar <texstar@gmail.com> 0.9.042-2pclos2009
- fix login

* Tue May 26 2009 johnnyblack <johnnyblack@inbox.com> 0.9.9.042-1pclos2009
- create

